Public Interface ICleaner

    ReadOnly Property ItemName() As String

    ReadOnly Property ExcludedGroupsFilter() As String

    ReadOnly Property StaleLogonDate() As Date

    ReadOnly Property StaleModifiedDate() As Date

    Function getDeletionCandidate() As DataTable

    Function getDisableCandidates() As DataTable

    Function getStaleItems() As DataTable

    Sub MarkAsPendingDisable(ByVal ObjectCN As String, Optional ByVal LastLogonDate As Date = Nothing, _
    Optional ByVal LastModifiedDate As Date = Nothing)

    Sub DisableItem(ByVal ObjectCN As String, Optional ByVal LastLogonDate As Date = Nothing, _
    Optional ByVal LastModifiedDate As Date = Nothing)


End Interface
