Public Class frmComputerAdHoc

    Private _dsItems As TargetComputers
    Private _groupingAttribute As String

    Private Sub frm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load


    End Sub

    Private Sub btnRefresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRefresh.Click

        RefreshView(txtGroupName.Text)

    End Sub

#Region "Core Functions"

    Private Sub RefreshView(Optional ByVal GroupName As String = "")

        Dim myAD As ADComputerHelper = ADComputerHelper.GetInstance

        Dim groupFilter As String
        If GroupName.Length > 0 Then
            groupFilter = "CN=" & GroupName & "," & My.Settings.LDAPOUDN
        Else
            groupFilter = ""
        End If

        Dim dt As DataTable = myAD.getComputers(myAD.LDAPRoot, "computer", groupFilter, myAD.DefaultProperties)

        'load the initial data grid with all target accounts
        Dim dv As DataView = New DataView(dt)
        dv.Sort = "cn"

        DataGridView1.DataSource = dv

        Me.ToolStripStatusLabel1.Text = DataGridView1.RowCount & " computers"

    End Sub

#End Region
End Class