Public Class AttributeCleanupResultList
    Inherits List(Of AttributeCleanupResult)

    Public Overloads Function FindAll(ByVal SourceAttributeCleanupSet As AttributeCleanupSet) As List(Of AttributeCleanupResult)

        Dim acrList As List(Of AttributeCleanupResult) = New List(Of AttributeCleanupResult)

        Dim acr As AttributeCleanupResult
        For Each acr In Me
            With SourceAttributeCleanupSet
                If acr.AttributeName = .AttributeName And acr.CurrentValue = .CurrentValue And acr.NewValue = .NewValue Then
                    acrList.Add(acr)
                End If
            End With
        Next

        Return acrList

    End Function

End Class
